CREATE PROCEDURE [dbo].[spGetCommentsByPageID]
	@commententry_pageID varchar(100)
AS
BEGIN
	SELECT     
	tblCommentEntries.commententry_id, 
	tblCommentEntries.commententry_comment, 
	tblCommentEntries.commententry_username,
	tblUserProfile.profile_avatar,
	tblCommentEntries.commententry_dateTime,
	tblCommentEntries.commententry_PageID
	FROM         
	tblCommentEntries 
	INNER JOIN
	tblUserProfile ON 
	tblCommentEntries.commententry_username = tblUserProfile.profile_username
	WHERE commententry_pageID = @commententry_pageID
    ORDER BY 
		tblCommentEntries.commententry_dateTime DESC
		
END